import { request } from '/@/utils/service';


const apiPrefix = '/api/choice/goods/';

export function getTableData(query: any) {
  return request({
    url: apiPrefix,
    method: 'GET',
    params: query,
  });
}

export function getGroupOptions() {
  return request({
    url: apiPrefix + 'tags/',
    method: 'GET',
  });
}

export function getBrandsOptions(query: any) {
  return request({
    url:  apiPrefix + 'brands/',
    method: 'GET',
    params: query,
  });
}

export function updateShopDetail(body: any) {
  return request({
    url: apiPrefix + `${body.id}/`,
    method: 'POST',
    params: { partial: body.partial },
    data: body.formData,
  });
}

export function uploadFile(body: any){
  return request({
    url: 'api/system/file/',
    method: 'POST',
    data: body,
    headers: { 'Content-Type':'multipart/form-data' },
  });
}

// 商品变更通知导入
export function uploadChangeNotice(body: any){
  return request({
    url: '/api/choice/goods/alarm/import_data/',
    method: 'POST',
    data: body,
  });
}

// 商品导入
export function uploadProducts(body: any){
  return request({
    url: '/api/choice/goods/import_data/',
    method: 'POST',
    data: body,
  });
}

// 指导价格导入
export function uploadPrice(body: any){
  return request({
    url: '/api/choice/goods/GuidancePrice/import_data/',
    method: 'POST',
    data: body,
  });
}